Updates a Fast API key.
Scopes required: account.fast-api-key:write
curl --request PUT \
--url https://api.kraken.com/oauth/fast-api-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_api_key_name": "<string>",
"api_key_name": "<string>",
"ip_allowlist": [
"<string>"
],
"nonce_window": 1,
"permissions": {
"export_data": true,
"funds_add": true,
"funds_earn": true,
"funds_query": true,
"funds_withdraw": true,
"ledger_query": true,
"trades_close": true,
"trades_modify": true,
"trades_query_closed": true,
"trades_query_open": true
},
"query_from": 123,
"query_to": 123,
"valid_until": 123
}
'{
"result": true
}Documentation Index
Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
New API key description
32API key description
1 - 32IP allowlist for the API key, supports CIDR notation for IPv4 and IPv6.
Nonce amount to accept from highest nonce
x >= 0What this API key can and can't do
Show child attributes
Unix timestamp indicating allowable starting time for queries, or 0 if no restriction
Unix timestamp indicating allowable ending time for queries, or 0 if no restriction
Unix timestamp indicating when key expires, or 0 if no expiration
Success response
curl --request PUT \
--url https://api.kraken.com/oauth/fast-api-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"new_api_key_name": "<string>",
"api_key_name": "<string>",
"ip_allowlist": [
"<string>"
],
"nonce_window": 1,
"permissions": {
"export_data": true,
"funds_add": true,
"funds_earn": true,
"funds_query": true,
"funds_withdraw": true,
"ledger_query": true,
"trades_close": true,
"trades_modify": true,
"trades_query_closed": true,
"trades_query_open": true
},
"query_from": 123,
"query_to": 123,
"valid_until": 123
}
'{
"result": true
}